Eclipse Draw2d 3.2

## org.eclipse.draw2d.widgets
Class MultiLineLabel

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.swt.widgets.Canvas
                          org.eclipse.draw2d.FigureCanvas
                              org.eclipse.draw2d.widgets.MultiLineLabel

All Implemented Interfaces:
  Drawable

public final class MultiLineLabel
extends FigureCanvas

A widget for displaying a multi-line string. The label will have a vertical or horizontal scrollbar when needed. Unlike the platform Label, this label is focusable and accessible to screen-readers.

Field Summary

Fields inherited from class org.eclipse.draw2d.FigureCanvas
`ALWAYS, AUTOMATIC, NEVER`

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`MultiLineLabel(Composite parent)` Constructs a new MultiLineLabel with the given parent.

Method Summary
`Image` `getImage()`
`String` `getText()` Returns the text in this label.
`void` `setEnabled(boolean enabled)`
`void` `setFont(Font font)`
`void` `setImage(Image image)`
`void` `setText(String text)` Sets the text for this label.

Methods inherited from class org.eclipse.draw2d.FigureCanvas
`computeSize, getContents, getFont, getHorizontalScrollBarVisibility, getLightweightSystem, getVerticalScrollBarVisibility, getViewport, scrollSmoothTo, scrollTo, scrollToX, scrollToY, setBorder, setContents, setHorizontalScrollBarVisibility, setScrollBarVisibility, setVerticalScrollBarVisibility, setViewport`

Methods inherited from class org.eclipse.swt.widgets.Canvas
`drawBackground, getCaret, scroll, setCaret`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getEnabled, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiLineLabel

    public MultiLineLabel(Composite parent)

  Constructs a new MultiLineLabel with the given parent.

Parameters:
  `parent` - the parent

Method Detail

### setEnabled

    public void setEnabled(boolean enabled)

  See Also:
    `Control.setEnabled(boolean)`

### getImage

    public Image getImage()

  Returns:
    the Image for this label, or `null` if there is none
  See Also:
    `setImage(Image)`

### getText

    public String getText()

  Returns the text in this label.

  Returns:
    the text

### setFont

    public void setFont(Font font)

  Overrides:
    `setFont` in class `FigureCanvas`
  See Also:
    `Canvas.setFont(org.eclipse.swt.graphics.Font)`

### setImage

    public void setImage(Image image)

  Parameters:
    `image` - The `Image` to be used for this label. It can be `null`.

### setText

    public void setText(String text)

  Sets the text for this label.

  Parameters:
    `text` - the new text

Eclipse Draw2d 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.